Available in Classic and VPC
View the number of queries for all or a specific domain over a specified time interval.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /dns/v1/ncpdns/domain/monitoring |
Request headers
For information about the headers common to all Monitoring APIs, see Monitoring API request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
baseTimeUnit |
String | Required | Time interval
|
domainId |
Integer | Optional | Domain ID to view
|
Request example
The following is a sample request.
curl --location --request GET 'https://globaldns.apigw.ntruss.com/dns/v1/ncpdns/domain/monitoring?baseTimeUnit=DAY_1' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}
Response
The following describes the response format.
Response body
See DomainQueryResponse for the response body.
Response status codes
For information about the HTTP status codes common to all Monitoring APIs, see Monitoring API response status codes.
Response example
The following is a sample response.
[
{
"queryCount": 0,
"baseTime": 1653318000
},
{
"queryCount": 0,
"baseTime": 1653404400
},
{...}
]
Error code example
The following is a sample error code.
{
"result": "FAIL",
"error": {
"errorCode": "X00006",
"message": "You are not authorized.",
"devMessage": "You are not authorized."
}
}